Skip to main content
POST
/
api
/
ingest
/
cloudwatch
/
v1
/
{log_group}
/
{log_stream}
IngestCloudwatchLogsData
curl --request POST \
  --url https://developer.synq.io/api/ingest/cloudwatch/v1/{log_group}/{log_stream} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "owner": "<string>",
  "subscriptionFilters": [
    "<string>"
  ],
  "messageType": "<string>",
  "logEvents": [
    {
      "id": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "message": "<string>"
    }
  ]
}
'
import requests

url = "https://developer.synq.io/api/ingest/cloudwatch/v1/{log_group}/{log_stream}"

payload = {
"owner": "<string>",
"subscriptionFilters": ["<string>"],
"messageType": "<string>",
"logEvents": [
{
"id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
owner: '<string>',
subscriptionFilters: ['<string>'],
messageType: '<string>',
logEvents: [{id: '<string>', timestamp: '2023-11-07T05:31:56Z', message: '<string>'}]
})
};

fetch('https://developer.synq.io/api/ingest/cloudwatch/v1/{log_group}/{log_stream}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

log_group
string
required
log_stream
string
required

Body

application/json
owner
string
subscriptionFilters
string[]
messageType
string
logEvents
CloudwatchLogsLogEvent · object[]

Response

200 - application/json

Success

The response is of type IngestCloudwatchLogsDataResponse · object.